/*===========================================================================*/
/*   (Tvector/cnst.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Tvector/cnst.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;


extern obj_t BGl_za2charza2z00zztype_cachez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zztvector_cnstz00();
BGL_IMPORT obj_t close_output_port(obj_t);
BGL_EXPORTED_DECL bool_t BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t);
BGL_IMPORT obj_t display_char(obj_t, obj_t);
extern obj_t BGl_za2longza2z00zztype_cachez00;
static obj_t BGl_tvectorzd2czd2printerz00zztvector_cnstz00(obj_t);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_za2boolza2z00zztype_cachez00;
static obj_t BGl__tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_za2stringza2z00zztype_cachez00;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t open_output_string();
static obj_t BGl_importedzd2moduleszd2initz00zztvector_cnstz00();
static obj_t BGl__tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31205ze3z83zztvector_cnstz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztvector_cnstz00 = BUNSPEC;
extern obj_t BGl_za2realza2z00zztype_cachez00;
static obj_t BGl_zc3anonymousza31214ze3z83zztvector_cnstz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zztvector_cnstz00();
static obj_t BGl_toplevelzd2initzd2zztvector_cnstz00();
static obj_t *__cnst;


BGL_IMPORT obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
DEFINE_STATIC_PROCEDURE( BGl_proc1330z00zztvector_cnstz00, BgL_bgl_za7c3anonymousza7a31214za7e3za783za7za7tvector_cnstza7001346za7, BGl_zc3anonymousza31214ze3z83zztvector_cnstz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1329z00zztvector_cnstz00, BgL_bgl_za7c3anonymousza7a31205za7e3za783za7za7tvector_cnstza7001347za7, BGl_zc3anonymousza31205ze3z83zztvector_cnstz00, 0L, 2 );
BGL_IMPORT obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
DEFINE_STRING( BGl_string1336z00zztvector_cnstz00, BgL_bgl_string1336za700za7za7tvector_cnstza7001348z00, ", ", 2 );
DEFINE_STRING( BGl_string1335z00zztvector_cnstz00, BgL_bgl_string1335za700za7za7tvector_cnstza7001349z00, "0", 1 );
DEFINE_STRING( BGl_string1334z00zztvector_cnstz00, BgL_bgl_string1334za700za7za7tvector_cnstza7001350z00, "1", 1 );
DEFINE_STRING( BGl_string1333z00zztvector_cnstz00, BgL_bgl_string1333za700za7za7tvector_cnstza7001351z00, "(unsigned char)", 15 );
DEFINE_STRING( BGl_string1332z00zztvector_cnstz00, BgL_bgl_string1332za700za7za7tvector_cnstza7001352z00, "This tvector can't not be compiled as a static C vector", 55 );
DEFINE_STRING( BGl_string1331z00zztvector_cnstz00, BgL_bgl_string1331za700za7za7tvector_cnstza7001353z00, "tvector-c-printer", 17 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2Czd2staticzf3zd2envz21zztvector_cnstz00, BgL_bgl__tvectorza7d2cza7d2staticza7f3za7f3za7za7tvector_cnstza7001354za7, BGl__tvectorzd2Czd2staticzf3zf3zztvector_cnstz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2ze3czd2vectorzd2envz31zztvector_cnstz00, BgL_bgl__tvectorza7d2za7e3cza7d2vectorza7e3za7za7tvector_cnstza7001355za7, BGl__tvectorzd2ze3czd2vectorze3zztvector_cnstz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long BgL_checksumz00_196, char * BgL_fromz00_197)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztvector_cnstz00))
{ 
BGl_requirezd2initializa7ationz75zztvector_cnstz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztvector_cnstz00(); 
BGl_importedzd2moduleszd2initz00zztvector_cnstz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztvector_cnstz00()
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "tvector_cnst"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tvector_cnst"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztvector_cnstz00()
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 15 */
return BUNSPEC;} 
}



/* tvector-C-static? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t BgL_tvectz00_11)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 30 */
{ /* ./Tvector/cnst.scm 31 */
BgL_typez00_bglt BgL_itypez00_84;
{ /* ./Tvector/cnst.scm 31 */
BgL_tvecz00_bglt BgL_obj1110z00_152;
{ /* ./Tvector/cnst.scm 31 */
obj_t BgL_auxz00_205;
{ /* ./Tvector/cnst.scm 31 */
int BgL_auxz00_206;
BgL_auxz00_206 = 
(int)(((long)0)); 
BgL_auxz00_205 = 
STRUCT_REF(BgL_tvectz00_11, BgL_auxz00_206); } 
BgL_obj1110z00_152 = 
(BgL_tvecz00_bglt)(BgL_auxz00_205); } 
{ 
obj_t BgL_auxz00_210;
{ /* ./Tvector/cnst.scm 31 */
BgL_objectz00_bglt BgL_auxz00_211;
BgL_auxz00_211 = 
(BgL_objectz00_bglt)(BgL_obj1110z00_152); 
BgL_auxz00_210 = 
BGL_OBJECT_WIDENING(BgL_auxz00_211); } 
BgL_itypez00_84 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_210))->BgL_itemzd2typezd2); } } 
{ /* ./Tvector/cnst.scm 33 */
bool_t BgL_test1186z00_85;
{ /* ./Tvector/cnst.scm 33 */
obj_t BgL_auxz00_215;
BgL_auxz00_215 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1186z00_85 = 
(BgL_auxz00_215==BGl_za2longza2z00zztype_cachez00); } 
if(BgL_test1186z00_85)
{ /* ./Tvector/cnst.scm 33 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 34 */
bool_t BgL_test1187z00_86;
{ /* ./Tvector/cnst.scm 34 */
obj_t BgL_auxz00_219;
BgL_auxz00_219 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1187z00_86 = 
(BgL_auxz00_219==BGl_za2intza2z00zztype_cachez00); } 
if(BgL_test1187z00_86)
{ /* ./Tvector/cnst.scm 34 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 35 */
bool_t BgL_test1188z00_87;
{ /* ./Tvector/cnst.scm 35 */
obj_t BgL_auxz00_223;
BgL_auxz00_223 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1188z00_87 = 
(BgL_auxz00_223==BGl_za2charza2z00zztype_cachez00); } 
if(BgL_test1188z00_87)
{ /* ./Tvector/cnst.scm 35 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 36 */
bool_t BgL_test1189z00_88;
{ /* ./Tvector/cnst.scm 36 */
obj_t BgL_auxz00_227;
BgL_auxz00_227 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1189z00_88 = 
(BgL_auxz00_227==BGl_za2boolza2z00zztype_cachez00); } 
if(BgL_test1189z00_88)
{ /* ./Tvector/cnst.scm 36 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 37 */
bool_t BgL_test1190z00_89;
{ /* ./Tvector/cnst.scm 37 */
obj_t BgL_auxz00_231;
BgL_auxz00_231 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1190z00_89 = 
(BgL_auxz00_231==BGl_za2stringza2z00zztype_cachez00); } 
if(BgL_test1190z00_89)
{ /* ./Tvector/cnst.scm 37 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 38 */
bool_t BgL_test1191z00_90;
{ /* ./Tvector/cnst.scm 38 */
obj_t BgL_auxz00_235;
BgL_auxz00_235 = 
(obj_t)(BgL_itypez00_84); 
BgL_test1191z00_90 = 
(BgL_auxz00_235==BGl_za2realza2z00zztype_cachez00); } 
if(BgL_test1191z00_90)
{ /* ./Tvector/cnst.scm 38 */
return ((bool_t)1);}  else 
{ /* ./Tvector/cnst.scm 38 */
return ((bool_t)0);} } } } } } } } } 
}



/* _tvector-C-static? */
obj_t BGl__tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t BgL_envz00_177, obj_t BgL_tvectz00_178)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 30 */
{ /* ./Tvector/cnst.scm 31 */
bool_t BgL_auxz00_239;
BgL_auxz00_239 = 
BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(BgL_tvectz00_178); 
return 
BBOOL(BgL_auxz00_239);} } 
}



/* tvector-c-printer */
obj_t BGl_tvectorzd2czd2printerz00zztvector_cnstz00(obj_t BgL_tvectz00_12)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 44 */
{ /* ./Tvector/cnst.scm 45 */
BgL_typez00_bglt BgL_itypez00_92;
{ /* ./Tvector/cnst.scm 45 */
BgL_tvecz00_bglt BgL_obj1110z00_156;
{ /* ./Tvector/cnst.scm 45 */
obj_t BgL_auxz00_242;
{ /* ./Tvector/cnst.scm 45 */
int BgL_auxz00_243;
BgL_auxz00_243 = 
(int)(((long)0)); 
BgL_auxz00_242 = 
STRUCT_REF(BgL_tvectz00_12, BgL_auxz00_243); } 
BgL_obj1110z00_156 = 
(BgL_tvecz00_bglt)(BgL_auxz00_242); } 
{ 
obj_t BgL_auxz00_247;
{ /* ./Tvector/cnst.scm 45 */
BgL_objectz00_bglt BgL_auxz00_248;
BgL_auxz00_248 = 
(BgL_objectz00_bglt)(BgL_obj1110z00_156); 
BgL_auxz00_247 = 
BGL_OBJECT_WIDENING(BgL_auxz00_248); } 
BgL_itypez00_92 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_247))->BgL_itemzd2typezd2); } } 
{ /* ./Tvector/cnst.scm 47 */
bool_t BgL_test1202z00_93;
{ /* ./Tvector/cnst.scm 47 */
obj_t BgL_auxz00_252;
BgL_auxz00_252 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1202z00_93 = 
(BgL_auxz00_252==BGl_za2longza2z00zztype_cachez00); } 
if(BgL_test1202z00_93)
{ /* ./Tvector/cnst.scm 47 */
return BGl_displayzd2envzd2zz__r4_output_6_10_3z00;}  else 
{ /* ./Tvector/cnst.scm 48 */
bool_t BgL_test1203z00_94;
{ /* ./Tvector/cnst.scm 48 */
obj_t BgL_auxz00_256;
BgL_auxz00_256 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1203z00_94 = 
(BgL_auxz00_256==BGl_za2intza2z00zztype_cachez00); } 
if(BgL_test1203z00_94)
{ /* ./Tvector/cnst.scm 48 */
return BGl_displayzd2envzd2zz__r4_output_6_10_3z00;}  else 
{ /* ./Tvector/cnst.scm 49 */
bool_t BgL_test1204z00_95;
{ /* ./Tvector/cnst.scm 49 */
obj_t BgL_auxz00_260;
BgL_auxz00_260 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1204z00_95 = 
(BgL_auxz00_260==BGl_za2charza2z00zztype_cachez00); } 
if(BgL_test1204z00_95)
{ /* ./Tvector/cnst.scm 49 */
return BGl_proc1329z00zztvector_cnstz00;}  else 
{ /* ./Tvector/cnst.scm 52 */
bool_t BgL_test1213z00_100;
{ /* ./Tvector/cnst.scm 52 */
obj_t BgL_auxz00_264;
BgL_auxz00_264 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1213z00_100 = 
(BgL_auxz00_264==BGl_za2boolza2z00zztype_cachez00); } 
if(BgL_test1213z00_100)
{ /* ./Tvector/cnst.scm 52 */
return BGl_proc1330z00zztvector_cnstz00;}  else 
{ /* ./Tvector/cnst.scm 56 */
bool_t BgL_test1218z00_104;
{ /* ./Tvector/cnst.scm 56 */
obj_t BgL_auxz00_268;
BgL_auxz00_268 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1218z00_104 = 
(BgL_auxz00_268==BGl_za2stringza2z00zztype_cachez00); } 
if(BgL_test1218z00_104)
{ /* ./Tvector/cnst.scm 56 */
return BGl_writezd2envzd2zz__r4_output_6_10_3z00;}  else 
{ /* ./Tvector/cnst.scm 57 */
bool_t BgL_test1219z00_105;
{ /* ./Tvector/cnst.scm 57 */
obj_t BgL_auxz00_272;
BgL_auxz00_272 = 
(obj_t)(BgL_itypez00_92); 
BgL_test1219z00_105 = 
(BgL_auxz00_272==BGl_za2realza2z00zztype_cachez00); } 
if(BgL_test1219z00_105)
{ /* ./Tvector/cnst.scm 57 */
return BGl_displayzd2envzd2zz__r4_output_6_10_3z00;}  else 
{ /* ./Tvector/cnst.scm 57 */
FAILURE(BGl_string1331z00zztvector_cnstz00,BGl_string1332z00zztvector_cnstz00,BgL_tvectz00_12);} } } } } } } } } 
}



/* <anonymous:1205> */
obj_t BGl_zc3anonymousza31205ze3z83zztvector_cnstz00(obj_t BgL_envz00_181, obj_t BgL_xz00_182, obj_t BgL_portz00_183)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 49 */
{ 
obj_t BgL_xz00_96;obj_t BgL_portz00_97;
BgL_xz00_96 = BgL_xz00_182; 
BgL_portz00_97 = BgL_portz00_183; 
display_string(BGl_string1333z00zztvector_cnstz00, BgL_portz00_97); 
{ /* ./Tvector/cnst.scm 51 */
long BgL_arg1210z00_157;
{ /* ./Tvector/cnst.scm 51 */
unsigned char BgL_auxz00_278;
BgL_auxz00_278 = 
(unsigned char)CCHAR(BgL_xz00_96); 
BgL_arg1210z00_157 = 
(BgL_auxz00_278); } 
return 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(BgL_arg1210z00_157), BgL_portz00_97);} } } 
}



/* <anonymous:1214> */
obj_t BGl_zc3anonymousza31214ze3z83zztvector_cnstz00(obj_t BgL_envz00_184, obj_t BgL_xz00_185, obj_t BgL_portz00_186)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 52 */
{ 
obj_t BgL_xz00_101;obj_t BgL_portz00_102;
BgL_xz00_101 = BgL_xz00_185; 
BgL_portz00_102 = BgL_portz00_186; 
if(
CBOOL(BgL_xz00_101))
{ /* ./Tvector/cnst.scm 53 */
return 
display_string(BGl_string1334z00zztvector_cnstz00, BgL_portz00_102);}  else 
{ /* ./Tvector/cnst.scm 53 */
return 
display_string(BGl_string1335z00zztvector_cnstz00, BgL_portz00_102);} } } 
}



/* tvector->c-vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t BgL_tvectorz00_13)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 65 */
{ /* ./Tvector/cnst.scm 66 */
obj_t BgL_vectz00_107;
{ /* ./Tvector/cnst.scm 66 */
int BgL_auxz00_287;
BgL_auxz00_287 = 
(int)(((long)1)); 
BgL_vectz00_107 = 
STRUCT_REF(BgL_tvectorz00_13, BgL_auxz00_287); } 
{ /* ./Tvector/cnst.scm 66 */
obj_t BgL_czd2printerzd2_108;
BgL_czd2printerzd2_108 = 
BGl_tvectorzd2czd2printerz00zztvector_cnstz00(BgL_tvectorz00_13); 
{ /* ./Tvector/cnst.scm 67 */
long BgL_lenzd21zd2_109;
{ /* ./Tvector/cnst.scm 68 */
int BgL_arg1256z00_117;
BgL_arg1256z00_117 = 
VECTOR_LENGTH(BgL_vectz00_107); 
{ /* ./Tvector/cnst.scm 68 */
long BgL_auxz00_292;
BgL_auxz00_292 = 
(long)(BgL_arg1256z00_117); 
BgL_lenzd21zd2_109 = 
(BgL_auxz00_292-((long)1)); } } 
{ /* ./Tvector/cnst.scm 68 */
obj_t BgL_portz00_110;
BgL_portz00_110 = 
open_output_string(); 
{ /* ./Tvector/cnst.scm 69 */

{ /* ./Tvector/cnst.scm 70 */
obj_t BgL_auxz00_296;
BgL_auxz00_296 = 
BCHAR(((unsigned char)'{')); 
display_char(BgL_auxz00_296, BgL_portz00_110); } 
{ 
long BgL_iz00_111;
BgL_iz00_111 = ((long)0); 
BgL_loopz00_112:
{ /* ./Tvector/cnst.scm 72 */
bool_t BgL_test1234z00_113;
BgL_test1234z00_113 = 
(BgL_iz00_111==BgL_lenzd21zd2_109); 
if(BgL_test1234z00_113)
{ /* ./Tvector/cnst.scm 72 */
{ /* ./Tvector/cnst.scm 74 */
obj_t BgL_arg1237z00_114;
{ /* ./Tvector/cnst.scm 74 */
int BgL_kz00_171;
BgL_kz00_171 = 
(int)(BgL_iz00_111); 
BgL_arg1237z00_114 = 
VECTOR_REF(BgL_vectz00_107,BgL_kz00_171); } 
PROCEDURE_ENTRY(BgL_czd2printerzd2_108)(BgL_czd2printerzd2_108, BgL_arg1237z00_114, BgL_portz00_110, BEOA); } 
{ /* ./Tvector/cnst.scm 75 */
obj_t BgL_auxz00_305;
BgL_auxz00_305 = 
BCHAR(((unsigned char)'}')); 
display_char(BgL_auxz00_305, BgL_portz00_110); } 
return 
close_output_port(BgL_portz00_110);}  else 
{ /* ./Tvector/cnst.scm 72 */
{ /* ./Tvector/cnst.scm 78 */
obj_t BgL_arg1243z00_115;
{ /* ./Tvector/cnst.scm 78 */
int BgL_kz00_174;
BgL_kz00_174 = 
(int)(BgL_iz00_111); 
BgL_arg1243z00_115 = 
VECTOR_REF(BgL_vectz00_107,BgL_kz00_174); } 
PROCEDURE_ENTRY(BgL_czd2printerzd2_108)(BgL_czd2printerzd2_108, BgL_arg1243z00_115, BgL_portz00_110, BEOA); } 
display_string(BGl_string1336z00zztvector_cnstz00, BgL_portz00_110); 
{ /* ./Tvector/cnst.scm 80 */
long BgL_arg1249z00_116;
BgL_arg1249z00_116 = 
(BgL_iz00_111+((long)1)); 
{ 
long BgL_iz00_315;
BgL_iz00_315 = BgL_arg1249z00_116; 
BgL_iz00_111 = BgL_iz00_315; 
goto BgL_loopz00_112;} } } } } } } } } } } 
}



/* _tvector->c-vector */
obj_t BGl__tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t BgL_envz00_193, obj_t BgL_tvectorz00_194)
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 65 */
return 
BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(BgL_tvectorz00_194);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztvector_cnstz00()
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztvector_cnstz00()
{ AN_OBJECT;
{ /* ./Tvector/cnst.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "tvector_cnst"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "tvector_cnst"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "tvector_cnst"); 
return 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "tvector_cnst");} 
}

